## Delete a specific price guard

### cURL

```bash
curl --request DELETE \
  --url https://live.copilot.fabric.inc/api-offers/price-guard/{priceGuardId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://live.copilot.fabric.inc/api-offers/price-guard/{priceGuardId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/price-guard/{priceGuardId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes
- 200
- 404
- 500

### Sample Response

```json
{
  "_id": "614b58924e92f6861ac9d43b",
  "itemId": 10000000123,
  "itemSku": "DEF-SKU-1",
  "priceListId": 100000,
  "MSRP": 299,
  "MAP": 299,
  "ceiling": 299,
  "floor": 299,
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}
```

### Error Response

```json
{
  "code": "PRICE_GUARD_NOT_FOUND",
  "message": "No Price Guard record with this Id Found."
}
```

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorizations

**Authorization**  
string  
header  
required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

**x-site-context**  
string  
required

The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

Example:

`"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"`

### Path Parameters

**priceGuardId**  
number  
required

ID of the price guard to delete.

### Response Structure
 - 200
 - application/json
 - OK
 - 
    - _id: string - fabric database ObjectId of the record
    - itemId: integer - Item ID
    - itemSku: string - Item SKU
    - priceListId: integer - Pricelist ID
    - MSRP: number - Manufacturer suggested retail price
    - MAP: number - Minimum advertised price
    - ceiling: number - Maximum price the seller is allowed to charge for the product.
    - floor: number - Lowest price at which the product can be sold.
    - deleted: boolean - true indicates the price guard is deleted
    - createdAt: string<date-time> - Creation date of the record
    - updatedAt: string<date-time> - Last updated date of the record
